package com.ejweb.modules.workbench.dao;

import com.ejweb.core.persistence.CrudDao;
import com.ejweb.core.persistence.annotation.MyBatisDao;
import com.ejweb.modules.workbench.entity.ReportNotice;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@MyBatisDao
public interface ReportNoticeMapper extends CrudDao<ReportNotice> {
    int deleteByPrimaryKey(String id);

    int insert(ReportNotice record);

    int insertSelective(ReportNotice record);

    ReportNotice selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(ReportNotice record) throws Exception;

    int updateByPrimaryKey(ReportNotice record);

    /**
     * 获取列表
     */
    List<ReportNotice> selectBySendToId(@Param("sendToId") String sendToId) throws Exception;

    int getMessageCount(String id);
}